curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"associations": [
{
"to": {
"id": "<string>"
},
"types": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
}
],
"properties": {},
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}オブジェクトタイプを指定してオブジェクトごとに必要なプロパティーや関連付けを指定して、1つのリクエストで複数のCRMオブジェクトを作成します。
curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"associations": [
{
"to": {
"id": "<string>"
},
"types": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
}
],
"properties": {},
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
オブジェクトのタイプ。
作成するオブジェクトの配列。各オブジェクトはSimplePublicObjectBatchInputForCreateで表されます。各オブジェクトにはプロパティーと任意の関連付けが含まれます。
Show child attributes
successful operation
公開オブジェクトのバッチレスポンスオブジェクト
バッチ処理が完了した時点のタイムスタンプ(ISO 8601形式)。
Show child attributes
バッチ処理が開始された時点のタイムスタンプ(ISO 8601形式)。
バッチ処理リクエストのステータス。想定される値は「COMPLETE」です。
CANCELED, COMPLETE, PENDING, PROCESSING バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。
Show child attributes
バッチ要求が最初に行われた時点のタイムスタンプ(ISO 8601形式)。